CVE-2003-0780

Current Description

Buffer overflow in get_salt_from_password from sql_acl.cc for MySQL 4.0.14 and earlier, and 3.23.x, allows attackers with ALTER TABLE privileges to execute arbitrary code via a long Password field.

Basic Data

PublishedSeptember 22, 2003
Last ModifiedDecember 17, 2019
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:S/C:C/I:C/A:C
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationSINGLE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score9.0
SeverityHIGH
Exploitability Score8.0
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationMysqlMysql4.1.0*******
    2.3ApplicationOracleMysql3.23*******
    2.3ApplicationOracleMysql3.23.2*******
    2.3ApplicationOracleMysql3.23.3*******
    2.3ApplicationOracleMysql3.23.4*******
    2.3ApplicationOracleMysql3.23.5*******
    2.3ApplicationOracleMysql3.23.8*******
    2.3ApplicationOracleMysql3.23.9*******
    2.3ApplicationOracleMysql3.23.10*******
    2.3ApplicationOracleMysql3.23.22*******
    2.3ApplicationOracleMysql3.23.23*******
    2.3ApplicationOracleMysql3.23.24*******
    2.3ApplicationOracleMysql3.23.25*******
    2.3ApplicationOracleMysql3.23.26*******
    2.3ApplicationOracleMysql3.23.27*******
    2.3ApplicationOracleMysql3.23.28*******
    2.3ApplicationOracleMysql3.23.28gamma******
    2.3ApplicationOracleMysql3.23.29*******
    2.3ApplicationOracleMysql3.23.30*******
    2.3ApplicationOracleMysql3.23.31*******
    2.3ApplicationOracleMysql3.23.32*******
    2.3ApplicationOracleMysql3.23.33*******
    2.3ApplicationOracleMysql3.23.34*******
    2.3ApplicationOracleMysql3.23.36*******
    2.3ApplicationOracleMysql3.23.37*******
    2.3ApplicationOracleMysql3.23.38*******
    2.3ApplicationOracleMysql3.23.39*******
    2.3ApplicationOracleMysql3.23.40*******
    2.3ApplicationOracleMysql3.23.41*******
    2.3ApplicationOracleMysql3.23.42*******
    2.3ApplicationOracleMysql3.23.43*******
    2.3ApplicationOracleMysql3.23.44*******
    2.3ApplicationOracleMysql3.23.45*******
    2.3ApplicationOracleMysql3.23.46*******
    2.3ApplicationOracleMysql3.23.47*******
    2.3ApplicationOracleMysql3.23.48*******
    2.3ApplicationOracleMysql3.23.49*******
    2.3ApplicationOracleMysql3.23.50*******
    2.3ApplicationOracleMysql3.23.51*******
    2.3ApplicationOracleMysql3.23.52*******
    2.3ApplicationOracleMysql3.23.53*******
    2.3ApplicationOracleMysql3.23.53a*******
    2.3ApplicationOracleMysql3.23.54*******
    2.3ApplicationOracleMysql3.23.54a*******
    2.3ApplicationOracleMysql3.23.55*******
    2.3ApplicationOracleMysql3.23.56*******
    2.3ApplicationOracleMysql4.0.0*******
    2.3ApplicationOracleMysql4.0.1*******
    2.3ApplicationOracleMysql4.0.2*******
    2.3ApplicationOracleMysql4.0.3*******
    2.3ApplicationOracleMysql4.0.4*******
    2.3ApplicationOracleMysql4.0.5*******
    2.3ApplicationOracleMysql4.0.5a*******
    2.3ApplicationOracleMysql4.0.6*******
    2.3ApplicationOracleMysql4.0.7*******
    2.3ApplicationOracleMysql4.0.7gamma******
    2.3ApplicationOracleMysql4.0.8*******
    2.3ApplicationOracleMysql4.0.8gamma******
    2.3ApplicationOracleMysql4.0.9*******
    2.3ApplicationOracleMysql4.0.9gamma******
    2.3ApplicationOracleMysql4.0.10*******
    2.3ApplicationOracleMysql4.0.11*******
    2.3ApplicationOracleMysql4.0.11gamma******
    2.3ApplicationOracleMysql4.0.12*******
    2.3ApplicationOracleMysql4.0.13*******
    2.3ApplicationOracleMysql4.0.14*******
    2.3ApplicationOracleMysql4.1.0alpha******
    2.3OSConectivaLinux7.0*******
    2.3OSConectivaLinux8.0*******
    2.3OSConectivaLinux9.0*******

Vulnerable Software List

VendorProductVersions
Mysql Mysql 4.1.0
Conectiva Linux 7.0, 8.0, 9.0
Oracle Mysql 3.23, 3.23.10, 3.23.2, 3.23.22, 3.23.23, 3.23.24, 3.23.25, 3.23.26, 3.23.27, 3.23.28, 3.23.29, 3.23.3, 3.23.30, 3.23.31, 3.23.32, 3.23.33, 3.23.34, 3.23.36, 3.23.37, 3.23.38, 3.23.39, 3.23.4, 3.23.40, 3.23.41, 3.23.42, 3.23.43, 3.23.44, 3.23.45, 3.23.46, 3.23.47, 3.23.48, 3.23.49, 3.23.5, 3.23.50, 3.23.51, 3.23.52, 3.23.53, 3.23.53a, 3.23.54, 3.23.54a, 3.23.55, 3.23.56, 3.23.8, 3.23.9, 4.0.0, 4.0.1, 4.0.10, 4.0.11, 4.0.12, 4.0.13, 4.0.14, 4.0.2, 4.0.3, 4.0.4, 4.0.5, 4.0.5a, 4.0.6, 4.0.7, 4.0.8, 4.0.9, 4.1.0

References

NameSourceURLTags
CLA-2003:743http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000743CONECTIVA
20030910 Buffer overflow in MySQLhttp://lists.grok.org.uk/pipermail/full-disclosure/2003-September/009819.htmlFULLDISC
20030913 exploit for mysql -- [get_salt_from_password] problemhttp://marc.info/?l=bugtraq&m=106364207129993&w=2BUGTRAQ
2003-0034http://marc.info/?l=bugtraq&m=106381424420775&w=2TRUSTIX
9709http://secunia.com/advisories/9709SECUNIA
DSA-381http://www.debian.org/security/2003/dsa-381DEBIANPATCH Vendor Advisory
VU#516492http://www.kb.cert.org/vuls/id/516492CERT-VNUS Government Resource
MDKSA-2003:094http://www.mandriva.com/security/advisories?name=MDKSA-2003:094MANDRAKE
RHSA-2003:281http://www.redhat.com/support/errata/RHSA-2003-281.htmlREDHATPATCH Vendor Advisory
RHSA-2003:282http://www.redhat.com/support/errata/RHSA-2003-282.htmlREDHAT
20030910 Buffer overflow in MySQLhttp://www.securityfocus.com/archive/1/337012BUGTRAQExploit PATCH Vendor Advisory